Subject: [bug#72674] [PATCH] gnu: guix: Remove unnecessary dependencies.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 19 Aug 2024 10:45:27 +0200

Hi,

Janneke Nieuwenhuizen <[email-masked]> skribis:

> Would it be overkill to avoid this for target-hurd?, someting like
>
>       (use-modules (guix utils)
>       ;; ...
>       (specifications->manifest
>        (if (target-hurd?)
>            '()
>            (list "imagemagick"
>                  "perl"))

In principle I agree it would be nice, but there’s no guarantee that
‘%current-system’ will have the “right” value when the manifest is
evaluated.

> Maybe it's premature; as I'm not even sure if fails to builds natively;
> some of its dependencies don't cross-build, but it may just build on the
> Hurd?  I haven't built a guix checkout in a childhurd for some time...

Yeah.  I’d lean towards keeping things simple for now, and we can always
do ‘guix shell -D guix’ on the Hurd… until everything builds fine.  :-)

WDYT?

Thanks,
Ludo’.